FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Infrastructure

 
 
LinkBack Thread Tools
 
Old 10-27-2010, 03:26 AM
Sijis Aviles
 
Default Patch - New Website Release

Hi,

The Website team has been working feverishly in getting the new website [1] up and going for F14. In order not to complicate things during GA, we are planning to release the website tomorrow morning around 10 AM CT.


I'm hoping you guys could review this and give me a couple of thumbs up for this.

---
diff --git a/modules/fedora-web/files/syncStatic.sh b/modules/fedora-web/files/syncStatic.sh
index 9967fc4..eddc1a0 100644

--- a/modules/fedora-web/files/syncStatic.sh
+++ b/modules/fedora-web/files/syncStatic.sh
@@ -22,7 +22,7 @@ trap "cd /tmp ; rm -rf $TEMP" EXIT
*# Good luck!
*
*cd fedora-web
-/usr/bin/git checkout -q origin/f14-beta || exit 1

+/usr/bin/git checkout -q master || exit 1
*
*pushd fedoraproject.org > /dev/null
*make > /dev/null 2>&1
@@ -30,8 +30,8 @@ rsync -qa --delete-after --delay-updates out/ /srv/web/fedoraproject.org/

*popd > /dev/null
*
*# Make sure everything else builds from master.
-/usr/bin/git reset --hard -q || exit 1
-/usr/bin/git checkout -q master || exit 1
+#/usr/bin/git reset --hard -q || exit 1
+#/usr/bin/git checkout -q master || exit 1

*
*pushd spins.fedoraproject.org > /dev/null
*make > /dev/null 2>&1
---

Thanks,

Sijis

[1] - http://stg.fedoraproject.org

_______________________________________________
infrastructure mailing list
infrastructure@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/infrastructure
 
Old 10-27-2010, 03:30 AM
Stephen John Smoogen
 
Default Patch - New Website Release

On Tue, Oct 26, 2010 at 21:26, Sijis Aviles <sijis@fedoraproject.org> wrote:
> Hi,
>
> The Website team has been working feverishly in getting the new website [1]
> up and going for F14. In order not to complicate things during GA, we are
> planning to release the website tomorrow morning around 10 AM CT.
>
> I'm hoping you guys could review this and give me a couple of thumbs up for
> this.

To confirm the intent:

1) Stop checking out origin/f14-beta
2) Check out the master tree
3) turn off a git checkout hard from master.

> ---
> diff --git a/modules/fedora-web/files/syncStatic.sh
> b/modules/fedora-web/files/syncStatic.sh
> index 9967fc4..eddc1a0 100644
> --- a/modules/fedora-web/files/syncStatic.sh
> +++ b/modules/fedora-web/files/syncStatic.sh
> @@ -22,7 +22,7 @@ trap "cd /tmp ; rm -rf $TEMP" EXIT
> *# Good luck!
>
> *cd fedora-web
> -/usr/bin/git checkout -q origin/f14-beta || exit 1
> +/usr/bin/git checkout -q master || exit 1
>
> *pushd fedoraproject.org > /dev/null
> *make > /dev/null 2>&1
> @@ -30,8 +30,8 @@ rsync -qa --delete-after --delay-updates out/
> /srv/web/fedoraproject.org/
> *popd > /dev/null
>
> *# Make sure everything else builds from master.
> -/usr/bin/git reset --hard -q || exit 1
> -/usr/bin/git checkout -q master || exit 1
> +#/usr/bin/git reset --hard -q || exit 1
> +#/usr/bin/git checkout -q master || exit 1
>
> *pushd spins.fedoraproject.org > /dev/null
> *make > /dev/null 2>&1
> ---
>
> Thanks,
>
> Sijis
>
> [1] - http://stg.fedoraproject.org
>
> _______________________________________________
> infrastructure mailing list
> infrastructure@lists.fedoraproject.org
> https://admin.fedoraproject.org/mailman/listinfo/infrastructure
>



--
Stephen J Smoogen.
“The core skill of innovators is error recovery, not failure avoidance.”
Randy Nelson, President of Pixar University.
"We have a strategic plan. It's called doing things.""
— Herb Kelleher, founder Southwest Airlines
_______________________________________________
infrastructure mailing list
infrastructure@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/infrastructure
 
Old 10-27-2010, 03:31 AM
Ricky Zhou
 
Default Patch - New Website Release

On 2010-10-26 10:26:00 PM, Sijis Aviles wrote:
> ---
> diff --git a/modules/fedora-web/files/syncStatic.sh b/modules/fedora-web/files/
> syncStatic.sh
> index 9967fc4..eddc1a0 100644
> --- a/modules/fedora-web/files/syncStatic.sh
> +++ b/modules/fedora-web/files/syncStatic.sh
> @@ -22,7 +22,7 @@ trap "cd /tmp ; rm -rf $TEMP" EXIT
> *# Good luck!
> *
> *cd fedora-web
> -/usr/bin/git checkout -q origin/f14-beta || exit 1
> +/usr/bin/git checkout -q master || exit 1
> *
> *pushd fedoraproject.org > /dev/null
> *make > /dev/null 2>&1
> @@ -30,8 +30,8 @@ rsync -qa --delete-after --delay-updates out/ /srv/web/
> fedoraproject.org/
> *popd > /dev/null
> *
> *# Make sure everything else builds from master.
> -/usr/bin/git reset --hard -q || exit 1
> -/usr/bin/git checkout -q master || exit 1
> +#/usr/bin/git reset --hard -q || exit 1
> +#/usr/bin/git checkout -q master || exit 1
> *
> *pushd spins.fedoraproject.org > /dev/null
> *make > /dev/null 2>&1
> ---
+1

Thanks,
Ricky
_______________________________________________
infrastructure mailing list
infrastructure@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/infrastructure
 
Old 10-27-2010, 03:39 AM
Sijis Aviles
 
Default Patch - New Website Release

On Tue, Oct 26, 2010 at 10:30 PM, Stephen John Smoogen <smooge@gmail.com> wrote:

On Tue, Oct 26, 2010 at 21:26, Sijis Aviles <sijis@fedoraproject.org> wrote:

> Hi,

>

> The Website team has been working feverishly in getting the new website [1]

> up and going for F14. In order not to complicate things during GA, we are

> planning to release the website tomorrow morning around 10 AM CT.

>

> I'm hoping you guys could review this and give me a couple of thumbs up for

> this.



To confirm the intent:



1) Stop checking out origin/f14-beta

2) Check out the master tree

3) turn off a git checkout hard from master.



You got it.

Since the other sites are also pulling from master, it doesn't make sense to re-checkout the same branch.

Sijis
*


_______________________________________________
infrastructure mailing list
infrastructure@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/infrastructure
 
Old 10-27-2010, 03:44 AM
Dennis Gilmore
 
Default Patch - New Website Release

On Tuesday, October 26, 2010 10:31:34 pm Ricky Zhou wrote:
> On 2010-10-26 10:26:00 PM, Sijis Aviles wrote:
> > ---
> > diff --git a/modules/fedora-web/files/syncStatic.sh
> > b/modules/fedora-web/files/ syncStatic.sh
> > index 9967fc4..eddc1a0 100644
> > --- a/modules/fedora-web/files/syncStatic.sh
> > +++ b/modules/fedora-web/files/syncStatic.sh
> > @@ -22,7 +22,7 @@ trap "cd /tmp ; rm -rf $TEMP" EXIT
> > # Good luck!
> >
> > cd fedora-web
> > -/usr/bin/git checkout -q origin/f14-beta || exit 1
> > +/usr/bin/git checkout -q master || exit 1
> >
> > pushd fedoraproject.org > /dev/null
> > make > /dev/null 2>&1
> > @@ -30,8 +30,8 @@ rsync -qa --delete-after --delay-updates out/ /srv/web/
> > fedoraproject.org/
> > popd > /dev/null
> >
> > # Make sure everything else builds from master.
> > -/usr/bin/git reset --hard -q || exit 1
> > -/usr/bin/git checkout -q master || exit 1
> > +#/usr/bin/git reset --hard -q || exit 1
> > +#/usr/bin/git checkout -q master || exit 1
> >
> > pushd spins.fedoraproject.org > /dev/null
> > make > /dev/null 2>&1
> > ---
>
> +1
>
> Thanks,
> Ricky
+1

Dennis
_______________________________________________
infrastructure mailing list
infrastructure@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/infrastructure
 
Old 10-27-2010, 03:45 AM
Stephen John Smoogen
 
Default Patch - New Website Release

On Tue, Oct 26, 2010 at 21:30, Stephen John Smoogen <smooge@gmail.com> wrote:
> On Tue, Oct 26, 2010 at 21:26, Sijis Aviles <sijis@fedoraproject.org> wrote:
>> Hi,
>>
>> The Website team has been working feverishly in getting the new website [1]
>> up and going for F14. In order not to complicate things during GA, we are
>> planning to release the website tomorrow morning around 10 AM CT.
>>
>> I'm hoping you guys could review this and give me a couple of thumbs up for
>> this.
>
> To confirm the intent:
>
> 1) Stop checking out origin/f14-beta
> 2) Check out the master tree
> 3) turn off a git checkout hard from master.
>

Ok thanks.
+1

--
Stephen J Smoogen.
“The core skill of innovators is error recovery, not failure avoidance.”
Randy Nelson, President of Pixar University.
"We have a strategic plan. It's called doing things.""
— Herb Kelleher, founder Southwest Airlines
_______________________________________________
infrastructure mailing list
infrastructure@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/infrastructure
 

Thread Tools




All times are GMT. The time now is 09:25 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org